This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 689285 - notification-daemon trava
notification-daemon trava
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: notification-daemon (Show other bugs)
15
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-20 16:38 EDT by Cássio Magno
Modified: 2013-03-05 23:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 11:52:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Cássio Magno 2011-03-20 16:38:13 EDT
Description of problem:
Notification-daemon trava quando o sistema tenta acessa-lo

Version-Release number of selected component (if applicable):


How reproducible:
Eventos produzidos pelo sistema

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
warning: core file may not match specified executable file.
[New LWP 11109]
[New LWP 11201]
[New LWP 11206]
warning: .dynamic section for "/usr/lib64/libgtk-3.so.0" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "/usr/lib64/libgdk-3.so.0" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "/lib64/libgio-2.0.so.0" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "/usr/lib64/libfreetype.so.6" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "/lib64/libgobject-2.0.so.0" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "/lib64/libgthread-2.0.so.0" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "/lib64/libglib-2.0.so.0" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "/usr/lib64/libXfixes.so.3" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "/lib64/libgcc_s.so.1" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "/usr/lib64/gtk-3.0/3.0.0/theming-engines/libadwaita.so" is not at the expected address (wrong library or version mismatch?)
warning: .dynamic section for "/usr/lib64/libstdc++.so.6" is not at the expected address (wrong library or version mismatch?)
warning: Could not load shared library symbols for = ((void *)0).
Do you need "set solib-search-path" or "set sysroot"?
[Thread debugging using libthread_db enabled]
Core was generated by `/usr/libexec/notification-daemon'.
Program terminated with signal 6, Aborted.
#0  0x00000036f9a36285 in __bsd_signal (sig=<optimized out>, handler=<optimized out>) at ../sysdeps/posix/signal.c:53
53	}

Thread 3 (Thread 0x7fc20d773700 (LWP 11206)):
#0  0x00000036f9ad74b3 in utimensat (fd=4432, file=0x3 <Address 0x3 out of bounds>, tsp=0xffffffffffffffff, flags=-1) at ../sysdeps/unix/sysv/linux/utimensat.c:38
No locals.
#1  0x00007fc200001150 in ?? ()
No symbol table info available.
#2  0x00000000ffffffff in ?? ()
No symbol table info available.
#3  0x0000000000000003 in ?? ()
No symbol table info available.
#4  0x00007fc200001150 in ?? ()
No symbol table info available.
#5  0x0000000000000001 in ?? ()
No symbol table info available.
#6  0x00000036fba42fd4 in g_main_loop_run (loop=0x7fc208009470) at gmain.c:3286
        self = 0x7fc200001150
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#7  0x00000036fbd15b40 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#8  0x00007fc20800945c in ?? ()
No symbol table info available.
#9  0x0000000000000001 in ?? ()
No symbol table info available.
#10 0x0000000000000001 in ?? ()
No symbol table info available.
#11 0x00000036fba438ba in g_source_get_current_time (source=<optimized out>, timeval=<optimized out>) at gmain.c:3622
        context = <optimized out>
        __PRETTY_FUNCTION__ = "g_source_get_current_time"
#12 0x0000000000000003 in ?? ()
No symbol table info available.
#13 0x00007fc208009550 in ?? ()
No symbol table info available.
#14 0x00000036fa20ae30 in ?? () at pthread_mutex_unlock.c:71 from /lib64/libpthread.so.0
No symbol table info available.
#15 0x00000036fbd15460 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#16 0x00000036fbd15448 in test_run_name () from /lib64/libglib-2.0.so.0
No symbol table info available.
#17 0x00000036fa209c80 in ?? () from /lib64/libpthread.so.0
No symbol table info available.
#18 0x0000000000000003 in ?? ()
No symbol table info available.
#19 0x00000036fceb44e4 in unfreeze_in_idle_cb (user_data=0x7fc20800945c) at gdbusprivate.c:552
        worker = 0x7fc20800945c
        message = 0x-204
        __PRETTY_FUNCTION__ = "unfreeze_in_idle_cb"
#20 0x00007fc20d7739c0 in ?? ()
No symbol table info available.
#21 0x0000000000000000 in ?? ()
No symbol table info available.

Thread 2 (Thread 0x7fc20df74700 (LWP 11201)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:216
No locals.
#1  0x00000036fbe023f5 in g_cond_timed_wait_posix_impl (cond=<optimized out>, entered_mutex=<optimized out>, abs_time=<optimized out>) at gthread-posix.c:242
        result = <optimized out>
        end_time = {tv_sec = 1300522737, tv_nsec = 344285000}
        timed_out = <optimized out>
        __PRETTY_FUNCTION__ = "g_cond_timed_wait_posix_impl"
#2  0x00000036fba189bf in g_async_queue_try_pop (queue=0x1318b70) at gasyncqueue.c:496
        retval = <optimized out>
        __PRETTY_FUNCTION__ = "g_async_queue_try_pop"
#3  0x00000036fba19409 in g_base64_encode_step (in=0x7fc20800c5b4 "\001", len=<optimized out>, break_lines=1, out=0xffffffffffffffff <Address 0xffffffffffffffff out of bounds>, state=0x1318ba0, save=0xffffffff) at gbase64.c:122
        c1 = <optimized out>
        c3 = <optimized out>
        inend = 0x189 <Address 0x189 out of bounds>
        c2 = <optimized out>
        already = 234306608
        outptr = 0xffffffffffffffff <Address 0xffffffffffffffff out of bounds>
        inptr = 0x7fc20800c5b4 "\001"
        __PRETTY_FUNCTION__ = "g_base64_encode_step"
#4  0x00000036fba6abc4 in g_thread_pool_get_num_threads (pool=<optimized out>) at gthreadpool.c:676
        real = <optimized out>
        retval = <optimized out>
        __PRETTY_FUNCTION__ = "g_thread_pool_get_num_threads"
#5  0x0000000001368dc0 in ?? ()
No symbol table info available.
#6  0x00000036fa20ae30 in ?? () at pthread_mutex_unlock.c:71 from /lib64/libpthread.so.0
No symbol table info available.
#7  0x00000036fbd15460 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#8  0x00000036fbd15448 in test_run_name () from /lib64/libglib-2.0.so.0
No symbol table info available.
#9  0x00000036fa209c80 in ?? () from /lib64/libpthread.so.0
No symbol table info available.
#10 0x0000000000000003 in ?? ()
No symbol table info available.
#11 0x00000036fba68664 in g_static_rec_mutex_unlock_full (mutex=0x540dd) at gthread.c:1554
        depth = 0
        __PRETTY_FUNCTION__ = "g_static_rec_mutex_unlock_full"
#12 0x00007fc20df749c0 in ?? ()
No symbol table info available.
#13 0x0000000000000000 in ?? ()
No symbol table info available.

Thread 1 (Thread 0x7fc2148e0940 (LWP 11109)):
#0  0x00000036f9a36285 in __bsd_signal (sig=<optimized out>, handler=<optimized out>) at ../sysdeps/posix/signal.c:53
        act = {__sigaction_handler = {sa_handler = 0x36f9a37b9b <abort+315>, sa_sigaction = 0x36f9a37b9b <abort+315>}, sa_mask = {__val = {22571008, 20468928, 19589792, 4294967296, 20468928, 20468928, 20461776, 20461776, 2, 22571008, 19589904, 2, 19589792, 236150102483, 20461776, 236150107213}}, sa_flags = 19514656, sa_restorer = 0x12aeb0f}
        oact = {__sigaction_handler = {sa_handler = 0x1292f30, sa_sigaction = 0x1292f30}, sa_mask = {__val = {32, 0 <repeats 15 times>}}, sa_flags = 3, sa_restorer = 0x36fba4b882 <g_log_remove_handler+290>}
#1  0x00007fff00000001 in ?? ()
No symbol table info available.
#2  0x0000000000000000 in ?? ()
No symbol table info available.
From                To                  Syms Read   Shared Object Library
0x0000003710201c20  0x000000371020302c  Yes         /usr/lib64/libcanberra-gtk3.so.0
0x000000370fa032a0  0x000000370fa0c42c  Yes         /usr/lib64/libcanberra.so.0
0x00000037052629c0  0x00000037054a897c  Yes         /usr/lib64/libgtk-3.so.0
0x0000003705a18a90  0x0000003705a5812c  Yes         /usr/lib64/libgdk-3.so.0
0x0000003700e096b0  0x0000003700e1520c  Yes         /usr/lib64/libatk-1.0.so.0
0x00000036fce28e60  0x00000036fced265c  Yes         /lib64/libgio-2.0.so.0
0x00000037022076a0  0x00000037022211ac  Yes         /usr/lib64/libpangoft2-1.0.so.0.2800.3
0x00000036ffe04940  0x00000036ffe0936c  Yes         /usr/lib64/libpangocairo-1.0.so.0.2800.3
0x00000036ff606270  0x00000036ff619c7c  Yes (*)     /usr/lib64/libgdk_pixbuf-2.0.so.0
0x00000036fee04870  0x00000036fee1eb5c  Yes         /usr/lib64/libpng12.so.0
0x00000036faa03ef0  0x00000036faa43eec  Yes         /lib64/libm.so.6
0x0000003705e03340  0x0000003705e0430c  Yes         /usr/lib64/libcairo-gobject.so.2.11000.2
0x0000003702e0b170  0x0000003702e82a9c  Yes         /usr/lib64/libcairo.so.2.11000.2
0x000000370160ee20  0x000000370162cb7c  Yes         /usr/lib64/libpango-1.0.so.0.2800.3
0x00000036fea052a0  0x00000036fea6c23c  Yes (*)     /usr/lib64/libfreetype.so.6
0x00000036ff205d90  0x00000036ff21f7fc  Yes         /usr/lib64/libfontconfig.so.1
0x00000036fc609890  0x00000036fc639d0c  Yes         /lib64/libgobject-2.0.so.0
0x00000036fca00fe0  0x00000036fca01f8c  Yes         /lib64/libgmodule-2.0.so.0
0x00000036fbe01550  0x00000036fbe02a1c  Yes         /lib64/libgthread-2.0.so.0
0x00000036fa602190  0x00000036fa6055cc  Yes         /lib64/librt.so.1
0x00000036fba16310  0x00000036fbaad5ac  Yes         /lib64/libglib-2.0.so.0
0x00000036fe21dce0  0x00000036fe2a97fc  Yes         /usr/lib64/libX11.so.6
0x00000036fa205680  0x00000036fa210b5c  Yes         /lib64/libpthread.so.0
0x00000036f9a1eb60  0x00000036f9b4250c  Yes         /lib64/libc.so.6
0x000000370e201fa0  0x000000370e20611c  Yes         /usr/lib64/libvorbisfile.so.3
0x000000370c203700  0x000000370c21a6ac  Yes         /usr/lib64/libvorbis.so.0
0x000000370ca018d0  0x000000370ca03f7c  Yes         /usr/lib64/libogg.so.0
0x000000370da02350  0x000000370da0b7dc  Yes         /usr/lib64/libtdb.so.1
0x000000370b602360  0x000000370b60669c  Yes         /usr/lib64/libltdl.so.7
0x0000003702a00cd8  0x0000003702a03e04  Yes         /usr/lib64/libXfixes.so.3
0x00000036fe603460  0x00000036fe60e31c  Yes         /usr/lib64/libXext.so.6.4.0
0x0000003701a00a00  0x0000003701a0148c  Yes         /usr/lib64/libXinerama.so.1
0x00000036ffa01f30  0x00000036ffa0c4bc  Yes         /usr/lib64/libXi.so.6
0x0000003700601720  0x000000370060675c  Yes         /usr/lib64/libXrandr.so.2.2.0
0x00000037012028d0  0x000000370120749c  Yes         /usr/lib64/libXcursor.so.1
0x0000003700a00b30  0x0000003700a0189c  Yes         /usr/lib64/libXcomposite.so.1
0x0000003702600a90  0x000000370260160c  Yes         /usr/lib64/libXdamage.so.1
0x00000036f9e00de0  0x00000036f9e0191c  Yes         /lib64/libdl.so.2
0x00000036fc203880  0x00000036fc21393c  Yes         /lib64/libresolv.so.2
0x00000036fb201e70  0x00000036fb20e67c  Yes         /lib64/libz.so.1
0x00000036fae05700  0x00000036fae159e8  Yes         /lib64/libselinux.so.1
0x0000003701e07e10  0x0000003701e5c0ac  Yes         /usr/lib64/libpixman-1.so.0
0x0000003700201910  0x000000370020810c  Yes         /usr/lib64/libXrender.so.1
0x00000036fde03b70  0x00000036fde1d84c  Yes         /lib64/libexpat.so.1
0x00000036f9600b20  0x00000036f961937a  Yes         /lib64/ld-linux-x86-64.so.2
0x00000036fda08660  0x00000036fda13b9c  Yes         /usr/lib64/libxcb.so.1
0x00000036fb602900  0x00000036fb61212c  Yes (*)     /lib64/libgcc_s.so.1
0x0000003703a00c50  0x0000003703a05ddc  Yes         /lib64/libcrypt.so.1
0x00000036fd600dd0  0x00000036fd601b2c  Yes         /usr/lib64/libXau.so.6
0x0000003703e03270  0x0000003703e4189c  Yes (*)     /lib64/libfreebl3.so
0x00007fc20e818170  0x00007fc20e81f5bc  Yes         /lib64/libnss_files.so.2
0x00007fc20e610690  0x00007fc20e61473c  Yes (*)     /usr/lib64/gtk-3.0/3.0.0/theming-engines/libadwaita.so
0x00007fc20e40e4d0  0x00007fc20e40f04c  Yes         /usr/lib64/gconv/ISO8859-1.so
0x00007fc20e1d4930  0x00007fc20e1fafac  Yes         /usr/lib64/gtk-3.0/modules/libgail.so
0x0000003712a029f0  0x0000003712a0656c  Yes         /usr/lib64/libgailutil-3.so.0
0x00007fc20dfa6750  0x00007fc20dfb6fac  Yes (*)     /usr/lib64/gtk-3.0/modules/libatk-bridge.so
0x000000370320a400  0x000000370321c51c  Yes         /usr/lib64/libdbus-glib-1.so.2
0x00000036fd2076d0  0x00000036fd23052c  Yes (*)     /lib64/libdbus-1.so.3
0x0000003704a58290  0x0000003704ac0faa  Yes (*)     /usr/lib64/libstdc++.so.6
0x00007fc20c763c00  0x00007fc20c76fcfc  Yes         /usr/lib64/gio/modules/libgioremote-volume-monitor.so
0x00007fc20c541190  0x00007fc20c54b23c  Yes         /usr/lib64/libgvfscommon.so.0
0x000000370b200e10  0x000000370b20168c  Yes         /lib64/libutil.so.1
0x00007fc20c316a50  0x00007fc20c32f6ac  Yes         /usr/lib64/gio/modules/libgvfsdbus.so
0x00000033ee402cd0  0x00000033ee40a67c  Yes         /lib64/libudev.so.0
0x00007fc20c108780  0x00007fc20c10b88c  Yes         /usr/lib64/gio/modules/libdconfsettings.so
                                        No          = ((void *)0)
(*): Shared library is missing debugging information.
$1 = 0x0
$2 = 0x0
rax            0x0	0
rbx            0x3	3
rcx            0xffffffffffffffff	-1
rdx            0x6	6
rsi            0x2b65	11109
rdi            0x2b65	11109
rbp            0x2	0x2
rsp            0x7fff2b0a77d8	0x7fff2b0a77d8
r8             0x12ae260	19587680
r9             0x1	1
r10            0x8	8
r11            0x206	518
r12            0x8	8
r13            0x7fff2b0a7dc8	140733915495880
r14            0x0	0
r15            0x3705a585b3	236317935027
rip            0x36f9a36285	0x36f9a36285 <__bsd_signal+165>
eflags         0x206	[ PF IF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
Dump of assembler code for function __bsd_signal:
   0x00000036f9a361e0 <+0>:	sub    $0x148,%rsp
   0x00000036f9a361e7 <+7>:	cmp    $0xffffffffffffffff,%rsi
   0x00000036f9a361eb <+11>:	mov    %edi,%r8d
   0x00000036f9a361ee <+14>:	je     0x36f9a361f9 <__bsd_signal+25>
   0x00000036f9a361f0 <+16>:	test   %edi,%edi
   0x00000036f9a361f2 <+18>:	jle    0x36f9a361f9 <__bsd_signal+25>
   0x00000036f9a361f4 <+20>:	cmp    $0x40,%edi
   0x00000036f9a361f7 <+23>:	jle    0x36f9a36220 <__bsd_signal+64>
   0x00000036f9a361f9 <+25>:	mov    0x35fda0(%rip),%rax        # 0x36f9d95fa0
   0x00000036f9a36200 <+32>:	movl   $0x16,%fs:(%rax)
   0x00000036f9a36207 <+39>:	mov    $0xffffffffffffffff,%rax
   0x00000036f9a3620e <+46>:	add    $0x148,%rsp
   0x00000036f9a36215 <+53>:	retq   
   0x00000036f9a36216 <+54>:	nopw   %cs:0x0(%rax,%rax,1)
   0x00000036f9a36220 <+64>:	lea    0x8(%rsp),%rdx
   0x00000036f9a36225 <+69>:	xor    %eax,%eax
   0x00000036f9a36227 <+71>:	mov    $0x10,%ecx
   0x00000036f9a3622c <+76>:	mov    %rsi,(%rsp)
   0x00000036f9a36230 <+80>:	mov    %rsp,%rsi
   0x00000036f9a36233 <+83>:	mov    %rdx,%rdi
   0x00000036f9a36236 <+86>:	lea    0xa0(%rsp),%rdx
   0x00000036f9a3623e <+94>:	rep stos %rax,%es:(%rdi)
   0x00000036f9a36241 <+97>:	lea    -0x1(%r8),%ecx
   0x00000036f9a36245 <+101>:	mov    $0x1,%al
   0x00000036f9a36247 <+103>:	mov    %r8d,%edi
   0x00000036f9a3624a <+106>:	shl    %cl,%rax
   0x00000036f9a3624d <+109>:	mov    %rax,0x8(%rsp)
   0x00000036f9a36252 <+114>:	and    0x365b87(%rip),%rax        # 0x36f9d9bde0 <_sigintr>
   0x00000036f9a36259 <+121>:	cmp    $0x1,%rax
   0x00000036f9a3625d <+125>:	sbb    %eax,%eax
   0x00000036f9a3625f <+127>:	and    $0x10000000,%eax
   0x00000036f9a36264 <+132>:	mov    %eax,0x88(%rsp)
   0x00000036f9a3626b <+139>:	callq  0x36f9a36550 <__sigaction>
   0x00000036f9a36270 <+144>:	mov    %eax,%edx
   0x00000036f9a36272 <+146>:	mov    $0xffffffffffffffff,%rax
   0x00000036f9a36279 <+153>:	test   %edx,%edx
   0x00000036f9a3627b <+155>:	cmovns 0xa0(%rsp),%rax
   0x00000036f9a36284 <+164>:	add    $0x148,%rsp
   0x00000036f9a3628b <+171>:	retq   
End of assembler dump.
Comment 1 Fedora End Of Life 2012-08-07 11:52:51 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.